program mstrip(input,output);
(* mstrip: remove control m's from a file *)
(* Tom Schneider *)
const
(* begin module version *)
version = 1.01; (* of mstrip.p 1993 Jan 27
origin 1986 September 11 *)
(* end module version *)

(* begin module describe.mstrip *)
(*
name
   mstrip: remove control m's from a file

synopsis
   mstrip(input: in, output: out)

files
   input: a file which contains control m's (^M as seen in vi)
      which one desires not to have control m's
   output: the input copied to the output without the ^M's.

description
   the tip program in conjunction with the cyber produces extra
   control m's at the ends of lines in the scripts.  this program
   removes them.

author
   tom schneider

bugs
   none known
*)
(* end module describe.mstrip *)

controlm='
';

begin
   while not eof(input) do begin
      while not eoln(input) do begin
         if input^<>controlm then write(output,input^);
         get(input)
      end;
      readln(input);
      writeln(output)
   end
end.
