program test(output);
(* test: a test program

  Dr. Thomas D. Schneider
  Laboratory of Experimental and Computational Biology
  toms@alum.mit.edu
  permanent email: toms@alum.mit.edu
  https://alum.mit.edu/www/toms/

 *)

const
(* begin module version *)
version = 1.02; (* of test.p 2000 Mar 13
2000 Mar 13 1.02: upgrade tech. notes.
1999 May 3 1.01: altered output message
1995 Feb 3: previous change
origin 1992 April 15. *)
(* end module version *)

(* begin module describe.test *)
(*
name
   test: a test program

synopsis
   test(output: out)

files
   output: messages to the user

description

   This is a simple test program to see that one can compile and run a Pascal
   program.  If you can get this program to say 'Hello there!', then your
   compiler is at least running.  If you CAN'T do this, then you can't
   proceed with transporting any other Delila programs.

examples

documentation

see also

  https://alum.mit.edu/www/toms/delila.html

author
  Dr. Thomas D. Schneider
  Laboratory of Experimental and Computational Biology
  toms@alum.mit.edu
  permanent email: toms@alum.mit.edu
  https://alum.mit.edu/www/toms/

bugs

technical notes

  Under a Unix operating system there can be a Unix program called 'test'.
  If so, and if you do not have your path set to pass through your current
  directory, then when you run this program nothing will happen.  To see if
  this is the case, try:

     which test

  If you get something like

     /bin/test

  that's the problem.  To force unix to use the file in the current
  directory, try this:

     ./test

  Finally, to fix the problem so that you always use the current
  directory, add this to your ~/.cshrc file:

     set path = (. $path)

*)
(* end module describe.test *)

begin
   writeln(output,'Hello there!');
   writeln(output,'The Pascal test program has been compiled and runs ok!');
end.
